Bug 35382 - Updated port: DansGuardin Content Filter -- updated to version 2.2.6
Summary: Updated port: DansGuardin Content Filter -- updated to version 2.2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-02-27 18:30 UTC by fcash
Modified: 2002-03-28 02:26 UTC (History)
0 users

See Also:


Attachments
dansguardian.port (19.79 KB, text/plain)
2002-02-27 18:30 UTC, fcash
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fcash 2002-02-27 18:30:00 UTC
	Updated port framework for proposed DansGuardian port.  Uses DansGuardian 2.2.6 source code.
Changes:
  fixed dansguardian.sh to remove the duplicated output of " dansguardian" on restart
  now uses improved logrotation scripts
  directory structure changed to better follow hier(7)
    - log files into /usr/local/var/log
    - conf files into /usr/local/etc/dansguardian

Please use this framework if/when this port gets committed to the ports tree.
Comment 1 fcash 2002-03-23 06:26:41 UTC
Included below is the shar output for the updated port framework.  The port has 
been updated to use the DansGuardian 2.2.7-1 source.  Also added a 
"WITHOUT_PICS" option to the Makefile to disable the PICS filtering at compile-
time.

Hopefullly someone will see this and add it to the ports tree.  :)

Cheers,
Freddie
fcash@bigfoot.com

-------shar output beings here-------
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	dansguardian/
#	dansguardian/files
#	dansguardian/files/Makefile-patch
#	dansguardian/files/conf-patch
#	dansguardian/files/script-patch
#	dansguardian/files/man-patch
#	dansguardian/files/logrotation
#	dansguardian/files/Connection-patch
#	dansguardian/pkg-plist
#	dansguardian/distinfo
#	dansguardian/pkg-comment
#	dansguardian/Makefile
#	dansguardian/pkg-descr
#
echo c - dansguardian/
mkdir -p dansguardian/ > /dev/null 2>&1
echo c - dansguardian/files
mkdir -p dansguardian/files > /dev/null 2>&1
echo x - dansguardian/files/Makefile-patch
sed 's/^X//' >dansguardian/files/Makefile-patch << 'END-of-
dansguardian/files/Makefile-patch'
X--- ../work/DansGuardian-2.2.7/Makefile	Fri Mar 22 16:12:24 2002
X+++ Makefile	Fri Mar 22 16:17:14 2002
X@@ -1,19 +1,19 @@
X-#Makefile for DansGuardian2.2.7
X+#Makefile for DansGuardian 2.2.7
X #
X #Please email me (daniel@jadeb.com) if you have modified this file for any
X #particular distribution or if I have got anything wrong.
X #Don't forget the trailing /
X 
X PREFIX = /usr/local
X-CONFFILELOCATION = ${PREFIX}/usr/local/etc/dansguardian/
X-BINARYLOCATION = ${PREFIX}/usr/local/sbin/
X-SYSVLOCATION = ${PREFIX}/usr/local/etc/rc.d/
X-CGIBINLOCATION = ${PREFIX}/usr/local/www/cgi-bin.default/
X-MANUALFILES = ${PREFIX}/usr/local/man/
X-LOGLOCATION = ${PREFIX}/usr/local/var/log/dansguardian/
X+CONFFILELOCATION = ${PREFIX}/etc/dansguardian/
X+BINARYLOCATION = ${PREFIX}/sbin/
X+SYSVLOCATION = ${PREFIX}/etc/rc.d/
X+CGIBINLOCATION = ${PREFIX}/www/cgi-bin/
X+MANUALFILES = ${PREFIX}/man/
X+LOGLOCATION = ${PREFIX}/var/log/
X PROXYUSER = nobody
X PROXYGROUP = nobody
X-PIDDIR = /var/run/
X+PIDDIR = ${PREFIX}/var/run/
X 
X 
X ################################################################
X@@ -33,7 +33,7 @@
X                  dansguardian.conf config.cache Makefile logrotation
X 
X PASSVARS = -DPROXYUSER=\"${PROXYUSER}\"
X-PASSVARS += -DLOGLOCATION=\"${LOGLOCATION}access.log\"
X+PASSVARS += -DLOGLOCATION=\"${LOGLOCATION}dansguardian.log\"
X PASSVARS += -DCONFFILELOCATION=\"${CONFFILELOCATION}dansguardian.conf\"
X PASSVARS += -DPIDDIR=\"${PIDDIR}\"
X 
X@@ -60,34 +60,28 @@
X 	@test -d $(MANUALFILES)man8/ || install -d $(MANUALFILES)man8/
X 	@test -d $(LOGLOCATION) || install -d $(LOGLOCATION)
X 	@test -d $(BINARYLOCATION) || /usr/sbin/install -d $(BINARYLOCATION)
X-	cp -f ./dansguardian $(BINARYLOCATION)dansguardian
X-	cp -f ./dansguardian.conf $(CONFFILELOCATION)dansguardian.conf
X-	cp -f ./bannedphraselist $(CONFFILELOCATION)bannedphraselist
X-	cp -f ./bannedextensionlist $(CONFFILELOCATION)bannedextensionlist
X-	cp -f ./bannedmimetypelist $(CONFFILELOCATION)bannedmimetypelist
X-	cp -f ./bannedurllist $(CONFFILELOCATION)bannedurllist
X-	cp -f ./bannedregexpurllist $(CONFFILELOCATION)bannedregexpurllist
X-	cp -f ./bannedsitelist $(CONFFILELOCATION)bannedsitelist
X-	cp -f ./exceptionsitelist $(CONFFILELOCATION)exceptionsitelist
X-	cp -f ./exceptionuserlist $(CONFFILELOCATION)exceptionuserlist
X-	cp -f ./exceptioniplist $(CONFFILELOCATION)exceptioniplist
X-	cp -f ./pics $(CONFFILELOCATION)pics
X-	cp -f ./logrotation $(CONFFILELOCATION)logrotation
X-	cp -f ./dansguardian.bsdv $(SYSVLOCATION)dansguardian.sh
X-	cp -f ./dansguardian.pl $(CGIBINLOCATION)dansguardian.pl
X-	chmod o+x $(CGIBINLOCATION)dansguardian.pl
X-	cp -f ./dansguardian.8.gz $(MANUALFILES)man8/dansguardian.8.gz
X-	chown -R $(PROXYUSER).$(PROXYGROUP) $(LOGLOCATION)
X-	chmod -R u+wr $(LOGLOCATION)
X-	chmod u+wrx $(LOGLOCATION)
X+	install -o nobody -g nobody -m 755 dansguardian 
$(BINARYLOCATION)dansguardian
X+	install -o nobody -g nobody -m 644 dansguardian.conf 
$(CONFFILELOCATION)dansguardian.conf
X+	install -o nobody -g nobody -m 644 bannedphraselist 
$(CONFFILELOCATION)bannedphraselist
X+	install -o nobody -g nobody -m 644 bannedextensionlist 
$(CONFFILELOCATION)bannedextensionlist
X+	install -o nobody -g nobody -m 644 bannedmimetypelist 
$(CONFFILELOCATION)bannedmimetypelist
X+	install -o nobody -g nobody -m 644 bannedurllist 
$(CONFFILELOCATION)bannedurllist
X+	install -o nobody -g nobody -m 644 bannedregexpurllist 
$(CONFFILELOCATION)bannedregexpurllist
X+	install -o nobody -g nobody -m 644 bannedsitelist 
$(CONFFILELOCATION)bannedsitelist
X+	install -o nobody -g nobody -m 644 exceptionsitelist 
$(CONFFILELOCATION)exceptionsitelist
X+	install -o nobody -g nobody -m 644 exceptionuserlist 
$(CONFFILELOCATION)exceptionuserlist
X+	install -o nobody -g nobody -m 644 exceptioniplist 
$(CONFFILELOCATION)exceptioniplist
X+	install -o nobody -g nobody -m 644 pics $(CONFFILELOCATION)pics
X+	install -o nobody -g nobody -m 755 logrotation $(BINARYLOCATION)dg-
logrotate
X+	install -o nobody -g nobody -m 755 dansguardian.bsdv 
$(SYSVLOCATION)dansguardian.sh
X+	install -o nobody -g nobody -m 755 dansguardian.pl 
$(CGIBINLOCATION)dansguardian.pl
X+	install -o nobody -g nobody -m 644 dansguardian.8.gz 
$(MANUALFILES)man8/dansguardian.8.gz
X+	install -o nobody -g nobody -m 644 dansguardian.log 
${LOGLOCATION}/dansguardian.log
X+	chown $(PROXYUSER).$(PROXYGROUP) $(LOGLOCATION)/dansguardian.log
X+	chmod u+wr $(LOGLOCATION)/dansguardian.log
X 
X uninstall:
X-	rm -f $(BINARYLOCATION)dansguardian
X-	rm -f $(SYSVLOCATION)dansguardian
X-	rm -f $(CGIBINLOCATION)dansguardian.pl
X-	rm -f $(MANUALFILES)man8/dansguardian.8.gz
X-	rm -fr $(CONFFILELOCATION)
X-	rm -fr $(LOGLOCATION)
X+	@echo -e "\tUse the ports system tools to uninstall.  Do *NOT* run this 
Makefile directly."
X 
X clean:
X 	rm -f $(OBJ) $(PROG)
END-of-dansguardian/files/Makefile-patch
echo x - dansguardian/files/conf-patch
sed 's/^X//' >dansguardian/files/conf-patch << 'END-of-dansguardian/files/conf-
patch'
X--- ../work/DansGuardian-2.2.7/dansguardian.conf	Fri Mar 22 16:01:09 2002
X+++ /usr/local/etc/dansguardian/dansguardian.conf	Fri Mar 22 16:08:15 2002
X@@ -1,29 +1,30 @@
X # DansGuardian config file for version 2.2.7
X 
X+# The following option *MUST* be changed to point to either your local web
X+# server, or to some other webpage on a running web server.
X+
X+# accessdeniedaddress is the address of your web server to which the cgi
X+# dansguardian reporting script was copied
X+accessdeniedaddress = 'http://YOUR.SERVER.HERE/cgi-bin/dansguardian.pl'
X+
X 
X # Web Access Denied Reporting (does not affect logging)
X-#
X # -1 = log, but do not block - Stealth mode
X #  0 = just say 'Access Denied'
X #  1 = report why but not what denied phrase
X #  2 = report fully
X-#
X-reportinglevel = 1
X-
X-
X+reportinglevel = 2
X 
X # Logging Settings
X # 0 = none  1 = just denied  2 = all text based  3 = all requests
X-loglevel = 2
X-
X+loglevel = 3
X 
X # Network Settings
X-# 
X # the IP that DansGuardian listens on.  If left blank DansGuardian will
X # listen on all IPs.  That would include all NICs, loopback, modem, etc.
X # Normally you would have your firewall protecting this, but if you want
X # you can limit it to only 1 IP.  Yes only one.
X-filterip =
X+filterip =
X 
X # the port that DansGuardian listens to
X # It needs to be greater than 1024
X@@ -35,26 +36,18 @@
X # the port DansGuardian connects to proxy on
X proxyport = 3128
X 
X-# accessdeniedaddress is the address of your web server to which the cgi
X-# dansguardian reporting script was copied
X-#
X-accessdeniedaddress = 'http://YOURSERVER.YOURDOMAIN/cgi-bin/dansguardian.pl'
X-
X-
X 
X # Content filtering files location
X-bannedphraselist = '/usr/local/usr/local/etc/dansguardian/bannedphraselist'
X-bannedextensionlist = 
'/usr/local/usr/local/etc/dansguardian/bannedextensionlist'
X-bannedmimetypelist = '/usr/local/usr/local/etc/dansguardian/bannedmimetypelist'
X-bannedsitelist = '/usr/local/usr/local/etc/dansguardian/bannedsitelist'
X-bannedurllist = '/usr/local/usr/local/etc/dansguardian/bannedurllist'
X-bannedregexpurllist = 
'/usr/local/usr/local/etc/dansguardian/bannedregexpurllist'
X-exceptionsitelist = '/usr/local/usr/local/etc/dansguardian/exceptionsitelist'
X-exceptioniplist = '/usr/local/usr/local/etc/dansguardian/exceptioniplist'
X-exceptionuserlist = '/usr/local/usr/local/etc/dansguardian/exceptionuserlist'
X-picsfile = '/usr/local/usr/local/etc/dansguardian/pics'
X-
X-
X+bannedphraselist = '/usr/local/etc/dansguardian/bannedphraselist'
X+bannedextensionlist = '/usr/local/etc/dansguardian/bannedextensionlist'
X+bannedmimetypelist = '/usr/local/etc/dansguardian/bannedmimetypelist'
X+bannedsitelist = '/usr/local/etc/dansguardian/bannedsitelist'
X+bannedurllist = '/usr/local/etc/dansguardian/bannedurllist'
X+bannedregexpurllist = '/usr/local/etc/dansguardian/bannedregexpurllist'
X+exceptionsitelist = '/usr/local/etc/dansguardian/exceptionsitelist'
X+exceptioniplist = '/usr/local/etc/dansguardian/exceptioniplist'
X+exceptionuserlist = '/usr/local/etc/dansguardian/exceptionuserlist'
X+picsfile = '/usr/local/etc/dansguardian/pics'
X 
X # Reverse lookups for banned site and URLs.
X # If set to on, DansGuardian will look up the forward DNS for an IP URL
X@@ -65,8 +58,6 @@
X # bannedsitelist file instead.
X reverseaddresslookups = off
X 
X-
X-
X # Build bannedsitelist and bannedurllist cache files.
X # This will compare the date stamp of the list file with the date stamp of
X # the cache file and will recreate as needed.
X@@ -75,8 +66,6 @@
X # be significant.  Fast computers do not need this option. on | off
X createlistcachefiles = on
X 
X-
X-
X # POST protection (web upload and forms)
X # does not block forms without any file upload, i.e. this is just for
X # blocking or limiting uploads
X@@ -88,8 +77,6 @@
X #maxuploadsize = 0
X maxuploadsize = -1
X 
X-
X-
X # Username identification methods (used in logging)
X # You can have as many methods as you want and not just one.  The first one
X # will be used then if no username is found, the next will be used.
X@@ -104,10 +91,7 @@
X username_id_method_ntlm = off # **NOT IMPLEMENTED**
X username_id_method_ident = off
X 
X-
X-
X # Misc settings
X-
X # if on it adds an X-Forwarded-For: <clientip> to the HTTP request
X # header.  This may help solve some problem sites that need to know the
X # source ip. on | off
X@@ -119,10 +103,7 @@
X # On large sites you might want to double or triple this number.
X maxchildren = 120
X 
X-
X # if on it logs some debug info regarding fork()ing and accept()ing which
X # can usually be ignored.  These are logged by syslog.  It is safe to leave
X # it on or off
X log_connection_handling_errors = on
X-
X-
END-of-dansguardian/files/conf-patch
echo x - dansguardian/files/script-patch
sed 's/^X//' >dansguardian/files/script-patch << 'END-of-
dansguardian/files/script-patch'
X--- ../work/DansGuardian-2.2.7/dansguardian.bsdv	Fri Mar 22 16:12:24 2002
X+++ /usr/local/etc/rc.d/dansguardian.sh	Fri Mar  1 12:33:16 2002
X@@ -1,32 +1,24 @@
X #!/bin/sh
X-#
X-# BSD startup script for dansguardian
X-# partly based on httpd startup script
X-#
X-# description: A web content filtering plugin for web \
X-#              proxies, developed to filter using lists of \
X-#              banned phrases, MIME types, filename \
X-#              extensions and PICS labling.
X-# processname: dansguardian
X-
X-
X # See how we were called.
X 
X case "$1" in
X start)
X-        [ -x /usr/local/usr/local/sbin/dansguardian ] && 
/usr/local/usr/local/sbin/dansguardian > /dev/null && echo -e ' dansguardian\c'
X+        /usr/local/sbin/dansguardian
X+	echo -n " dansguardian"
X         ;;
X stop)
X-        /usr/local/usr/local/sbin/dansguardian -q
X-        [ -r /tmp/.dguardianipc ] && echo -e ' dansguardian\c'
X-        rm -f /tmp/.dguardianipc
X+        /usr/local/sbin/dansguardian -q
X+        if [ -e /tmp/.dguardianipc ]; then
X+	  rm -f /tmp/.dguardianipc
X+	fi
X+	echo -n " dansguardian"
X         ;;
X restart)
X         $0 stop
X-        $0 start
X+        /usr/local/sbin/dansguardian
X         ;;
X *)
X-        echo "Usage: configure {start|stop|restart}" >&2
X+        echo "Usage: $0 {start|stop|restart}"
X         ;;
X esac
X exit 0
END-of-dansguardian/files/script-patch
echo x - dansguardian/files/man-patch
sed 's/^X//' >dansguardian/files/man-patch << 'END-of-dansguardian/files/man-
patch'
X--- ../work/DansGuardian-2.2.7/dansguardian.8	Thu Mar 14 16:54:40 2002
X+++ dansguardian.8	Fri Mar 22 16:18:38 2002
X@@ -3,7 +3,7 @@
X .SH NAME
X DansGuardian 2
X .SH SYNOPSIS
X-/etc/rc.d/init.d/dansguardian [stop|start|status|restart]
X+/usr/local/etc/rc.d/dansguardian.sh [stop|start|status|restart]
X .SH DESCRIPTION
X A Introduction
X 
END-of-dansguardian/files/man-patch
echo x - dansguardian/files/logrotation
sed 's/^X//' >dansguardian/files/logrotation << 'END-of-
dansguardian/files/logrotation'
X#!/bin/sh
X
X# Generic shell script to rotate and compress log files for a given program.
X# This script currently support up to 3 log files per program.  More can be
X# added as needed.
X
X
X##### Begin user-modifiable section.  Change these variables to point to the
X##### correct directories and files.
X
XBACKUPS=/usr/local/var/log/backups
XLOGDIR=/usr/local/var/log
X
XLOG1="dansguardian.log"
XLOG2=""
XLOG3=""
X
XUSER=nobody
XGROUP=nobody
X
XFILEMODE=644
X
XINITSCRIPT=/usr/local/etc/rc.d/dansguardian.sh
X
X##### End of user-modifiable section.  Code below shouldn't need changing.  
Have a look
X##### just in case, if you want.
X
X# Below is the actual log rotation.  It works in two parts:
X# Part 1 stops the daemon, moves the old logs, creates the new logs, and 
restarts the daemon.
X# Part 2 rotates the archived logs, and compresses the new archive
X
X
X# Check which lognames have been set, and build the list of log files to use.
X# [ ${VARIABLE} ] returns true if $VARIABLE is set to anything other than ""
Xif [ ${LOG3} ]; then
X  LOGS="${LOG1} ${LOG2} ${LOG3}"
Xelif [ ${LOG2} ]; then
X  LOGS="${LOG1} ${LOG2}"
Xelif [ ${LOG1} ]; then
X  LOGS="${LOG1}"
Xelse
X  echo "Error: No log files defined."
X  echo ""
X  exit 1
Xfi
X
X# Check that the backup directory exists, create it if it doesn't
Xif [ ! -d ${BACKUPS} ]; then
X  mkdir -p ${BACKUPS}
Xfi
X
X# Stop daemon
X${INITSCRIPT} stop > /dev/null
X
X# Move the existing logs to the backup directory
Xcd ${LOGDIR}
Xmv ${LOGS} ${BACKUPS}/
X
X# Create new log files
Xtouch ${LOGS}
Xchown ${USER}:${GROUP} ${LOGS}
Xchmod ${FILEMODE} ${LOGS}
X
X# Start daemon
X${INITSCRIPT} start > /dev/null
X
X
X# Rotate compressed archives of $LOG1
Xif [ ${LOG1} ]; then
X    cd ${BACKUPS}
X    if [ -e ${LOG1}.4.gz ]; then
X        rm -f ${LOG1}.4.gz
X    fi
X
X    if [ -e ${LOG1}.3.gz ]; then
X        mv -f ${LOG1}.3.gz ${LOG1}.4.gz
X    fi
X
X    if [ -e ${LOG1}.2.gz ]; then
X        mv -f ${LOG1}.2.gz ${LOG1}.3.gz
X    fi
X
X    if [ -e ${LOG1}.1.gz ]; then
X        mv -f ${LOG1}.1.gz ${LOG1}.2.gz
X    fi
X
X    if [ -e ${LOG1} ]; then
X        gzip -9 -f ${LOG1}
X        mv -f ${LOG1}.gz ${LOG1}.1.gz
X    fi
Xfi
X
X# Rotate compressed archives of $LOG2
Xif [ ${LOG2} ]; then
X    cd ${BACKUPS}
X    if [ -e ${LOG2}.4.gz ]; then
X        rm -f ${LOG2}.4.gz
X    fi
X
X    if [ -e ${LOG2}.3.gz ]; then
X        mv -f ${LOG2}.3.gz ${LOG2}.4.gz
X    fi
X
X    if [ -e ${LOG2}.2.gz ]; then
X        mv -f ${LOG2}.2.gz ${LOG2}.3.gz
X    fi
X
X    if [ -e ${LOG2}.1.gz ]; then
X        mv -f ${LOG2}.1.gz ${LOG2}.2.gz
X    fi
X
X    if [ -e ${LOG2} ]; then
X        gzip -9 -f ${LOG2}
X        mv -f ${LOG2}.gz ${LOG2}.1.gz
X    fi
Xfi
X
X# Rotate compressed archives of $LOG3
Xif [ ${LOG3} ]; then
X    cd ${BACKUPS}
X    if [ -e ${LOG3}.4.gz ]; then
X        rm -f ${LOG3}.4.gz
X    fi
X
X    if [ -e ${LOG3}.3.gz ]; then
X        mv -f ${LOG3}.3.gz ${LOG3}.4.gz
X    fi
X
X    if [ -e ${LOG3}.2.gz ]; then
X        mv -f ${LOG3}.2.gz ${LOG3}.3.gz
X    fi
X
X    if [ -e ${LOG3}.1.gz ]; then
X        mv -f ${LOG3}.1.gz ${LOG3}.2.gz
X    fi
X
X    if [ -e ${LOG3} ]; then
X        gzip -9 -f ${LOG3}
X        mv -f ${LOG3}.gz ${LOG3}.1.gz
X    fi
Xfi
END-of-dansguardian/files/logrotation
echo x - dansguardian/files/Connection-patch
sed 's/^X//' >dansguardian/files/Connection-patch << 'END-of-
dansguardian/files/Connection-patch'
X--- ../work/DansGuardian-2.2.7/ConnectionHandler.cpp	Thu Mar 14 16:54:39 2002
X+++ ConnectionHandler.cpp	Fri Mar 22 18:58:25 2002
X@@ -293,7 +293,8 @@
X 
X                         checkme.checkphrase(docbodyblock, dblen, options);
X 
X-                        checkme.checkPICS(docbodyblock, dblen, options);
X+// Kill that dad-blasted PICS filter.
X+//                      checkme.checkPICS(docbodyblock, dblen, options);
X                     } catch (exception& e) {}
X                     delete[] docbodyblock;
X                 }
END-of-dansguardian/files/Connection-patch
echo x - dansguardian/pkg-plist
sed 's/^X//' >dansguardian/pkg-plist << 'END-of-dansguardian/pkg-plist'
X@exec mkdir -p etc/dansguardian
X@exec mkdir -p var/log
Xetc/dansguardian/dansguardian.conf
Xetc/dansguardian/bannedphraselist
Xetc/dansguardian/bannedextensionlist
Xetc/dansguardian/bannedmimetypelist
Xetc/dansguardian/bannedurllist
Xetc/dansguardian/bannedregexpurllist
Xetc/dansguardian/bannedsitelist
Xetc/dansguardian/exceptionsitelist
Xetc/dansguardian/exceptionuserlist
Xetc/dansguardian/exceptioniplist
Xetc/dansguardian/pics
Xsbin/dansguardian
Xsbin/dg-logrotate
Xvar/log/dansguardian.log
Xwww/cgi-bin/dansguardian.pl
X@dirrm etc/dansguardian
END-of-dansguardian/pkg-plist
echo x - dansguardian/distinfo
sed 's/^X//' >dansguardian/distinfo << 'END-of-dansguardian/distinfo'
XMD5 (DansGuardian-2.2.7-1.source.tar.gz) = f2157a54a2a07d78323e2cc64072ff6e
END-of-dansguardian/distinfo
echo x - dansguardian/pkg-comment
sed 's/^X//' >dansguardian/pkg-comment << 'END-of-dansguardian/pkg-comment'
XA fast, simple web content filter for Squid proxy servers
END-of-dansguardian/pkg-comment
echo x - dansguardian/Makefile
sed 's/^X//' >dansguardian/Makefile << 'END-of-dansguardian/Makefile'
X# New ports collection makefile for:	dansguardian
X# Date created:				February 16, 2002
X# Whom:					Freddie Cash <fcash@bigfoot.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	dansguardian
XPORTVERSION=	2.2.7
XCATEGORIES=	www
XMASTER_SITES=	http://backup.dansguardian.org/downloads/2/Stable/  \
X		http://dansguardian.org/downloads/2/Stable/
XDISTNAME=	DansGuardian-2.2.7-1.source
X#EXTRACT_SUFX=	.tar.gz
X
XMAINTAINER=	fcash@bigfoot.com
X
XRUN_DEPENDS=	${LOCALBASE}/sbin/squid:${PORTSDIR}/www/squid24:install \
X		${LOCALBASE}/sbin/httpd:${PORTSDIR}/www/apache13:install
X
XWRKSRC=		${WRKDIR}/DansGuardian-2.2.7
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS+=	--bindir=${PREFIX}/sbin/ --
sysconfdir=${PREFIX}/etc/dansguardian/ --sysvdir=${PREFIX}/etc/rc.d/ --
mandir=${PREFIX}/man/ --logdir=${PREFIX}/var/log/dansguardian/ --
cgidir=${PREFIX}/www/cgi-bin.default/ --piddir=/var/run/
X
XMAN8=		dansguardian.8
XMANDIRS=	${PREFIX}/man
XMANCOMPRESSED=	yes
X
XRESTRICTED=	"Commercial download is restricted.  Check 
http://dansguardian.org/?page=copyright2 for more info."
X
X.include <bsd.port.pre.mk>
X
X.if !exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX})
XIGNORE="Commercial download is restricted.  Check the DansGuardian website at 
http://dansguardian.org/?page\=copyright2 for more info.  Download the 
${DISTNAME}${EXTRACT_SUFX} to ${DISTDIR} to build this port."
X.endif
X
Xpost-extract:
X.if defined(WITHOUT_PICS)
X	@cd ${WRKSRC} ; ${PATCH} < ${PATCHDIR}/Connection-patch
X.endif
X
Xpost-configure:
X	@cd ${WRKSRC}/autoconf ; ${CAT} platform.h | ${SED} 
"s/\/usr\/local\/usr\/local/\/usr\/local/" > platform.h
X	@cd ${WRKSRC} ; ${PATCH} < ${PATCHDIR}/Makefile-patch
X	@cd ${WRKSRC} ; ${PATCH} < ${PATCHDIR}/conf-patch
X	@cd ${WRKSRC} ; ${PATCH} < ${PATCHDIR}/man-patch
X	@cd ${WRKSRC} ; ${PATCH} < ${PATCHDIR}/script-patch
X	@${TOUCH} ${WRKSRC}/dansguardian.log
X
Xpost-install:
X	@strip ${PREFIX}/sbin/dansguardian
X
X.include <bsd.port.post.mk>
END-of-dansguardian/Makefile
echo x - dansguardian/pkg-descr
sed 's/^X//' >dansguardian/pkg-descr << 'END-of-dansguardian/pkg-descr'
XDansGuardian is a web content filtering proxy pass-through for Linux, FreeBSD,
XOpenBSD, and Solaris. It relies on a proxy server for all fetching (this port
Xdepends on Squid but DansGuardian should work with any proxy server). It filters
Xusing multiple methods: URL and domain filtering, content phrase filtering, PICS
Xfiltering, MIME filtering, file extension filtering, and POST filtering.
X
XTo disable PICS filtering, use WITHOUT_PICS=yes when building this port.
X
XFor more info, check the DansGuardian website:
XWWW: http://www.dansguardian.org
X
X- Freddie Cash
Xfcash@bigfoot.com
END-of-dansguardian/pkg-descr
exit
Comment 2 Cy Schubert freebsd_committer 2002-03-24 01:40:24 UTC
Responsible Changed
From-To: freebsd-ports->cy

I will work with originator on this PR. 

Give me some time to install and test on my firewall system at home.
Comment 3 Cy Schubert freebsd_committer 2002-03-24 02:06:03 UTC
State Changed
From-To: open->feedback

Requested an updated port (2.2.7-1) from originator because it fixes a 
security hole that exists in 2.2.7 and below.
Comment 4 Cy Schubert freebsd_committer 2002-03-28 02:26:30 UTC
State Changed
From-To: feedback->closed

Committed, thanks for the port.